Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.jems.hibernate
Class JBossTreeCacheProvider

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.jems.hibernate.JBossTreeCacheProvider

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, JBossTreeCacheProviderMBean, TreeCacheProvider, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class JBossTreeCacheProvider

extends AbstractJBossService
implements TreeCacheProvider, JBossTreeCacheProviderMBean

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`JBossTreeCacheProvider()`

Method Summary
`javax.management.ObjectName` | `getCacheName()`
`org.jboss.cache.TreeCache` | `getTreeCache()`
`void` | `setCacheName(javax.management.ObjectName cacheName)`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossTreeCacheProvider

    public JBossTreeCacheProvider()

Method Detail

### getCacheName

    public javax.management.ObjectName getCacheName()

  Specified by:
    `getCacheName` in interface `JBossTreeCacheProviderMBean`

### setCacheName

    public void setCacheName(javax.management.ObjectName cacheName)

  Specified by:
    `setCacheName` in interface `JBossTreeCacheProviderMBean`

### getTreeCache

    public org.jboss.cache.TreeCache getTreeCache()

  Specified by:
    `getTreeCache` in interface `JBossTreeCacheProviderMBean`
  Specified by:
    `getTreeCache` in interface `TreeCacheProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD